package space.nstart.pcp.pcp_satellite_catalog_service.repository

import org.springframework.data.jpa.repository.JpaRepository
import space.nstart.pcp.pcp_satellite_catalog_service.entity.SatelliteGroupEntity

interface SatelliteGroupRepository : JpaRepository<SatelliteGroupEntity, Long> {
    fun findAllByOrderByIdAsc(): List<SatelliteGroupEntity>
    fun existsByName(name: String): Boolean
    fun existsByNameAndIdNot(name: String, id: Long): Boolean
}
